OrganizationManager (Custom Portal Handler 2.0.1-SNAPSHOT API)
Date: 2016-06-30

org.gcube.portal.custom.communitymanager

## Interface OrganizationManager

-     public interface OrganizationManager

  Author:
    Massimiliano Assante, massimiliano.assante@isti.cnr.it

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `createVO(String rootVoName, String voDesc, GCUBESiteLayout siteLayout, String themeid)`
    `long` | `createVO(String voName, String voDesc, long parentID, GCUBESiteLayout siteLayout, String themeid)`
    `long` | `createVRE(String voName, String voDesc, long parentid, GCUBESiteLayout siteLayout, String themeid)`
    `Boolean` | `readOrganizationCustomAttribute(String username, com.liferay.portal.model.Organization currOrg, String attrToCheck)`

- - ### Method Detail

    - #### createVO

          long createVO(String rootVoName,
                      String voDesc,
                      GCUBESiteLayout siteLayout,
                      String themeid)

      Parameters:
        `rootVoName` - the voName
        `voDesc` - -
      Returns:
        the id of the created VO

    - #### createVO

          long createVO(String voName,
                      String voDesc,
                      long parentID,
                      GCUBESiteLayout siteLayout,
                      String themeid)

      Parameters:
        `voName` - the voName
        `voDesc` - -
      Returns:
        the id of the created VO

    - #### createVRE

          long createVRE(String voName,
                       String voDesc,
                       long parentid,
                       GCUBESiteLayout siteLayout,
                       String themeid)

      Parameters:
        `rootVoName` - the voName
        `voDesc` - -
      Returns:
        the organizationid of the created VO

    - #### readOrganizationCustomAttribute

          Boolean readOrganizationCustomAttribute(String username,
                                                com.liferay.portal.model.Organization currOrg,
                                                String attrToCheck)

      Parameters:
        `username` - the screenname of the current user
        `currOrg` - the organization in which to check the custom attribute
        `attrToCheck` - the key to check
      Returns:
        true or false

Copyright © 2016. All Rights Reserved.